Skip to main content
`Ctrl`+`K`

# MatDenseGetArrayF90

Accesses a matrix array from Fortran

## Synopsis

    MatDenseGetArrayF90(Mat x,{Scalar, pointer :: xx_v(:,:)},integer ierr)

Not Collective

## Input Parameter

- x - matrix

## Output Parameters

- xx_v - the Fortran pointer to the array

- ierr - error code

## Example of Usage

          PetscScalar, pointer xx_v(:,:)
          ....
          call MatDenseGetArrayF90(x,xx_v,ierr)
          a = xx_v(3)
          call MatDenseRestoreArrayF90(x,xx_v,ierr)

## See Also

Matrices, `Mat`, `MatDenseRestoreArrayF90()`, `MatDenseGetArray()`, `MatDenseRestoreArray()`, `MatSeqAIJGetArrayF90()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages